E-MailRelay

Classes | Public Member Functions | List of all members
GSmtp::VerifierFactoryBase Class Referenceabstract

A factory interface for addresss verifiers. More...

`#include <gverifierfactorybase.h>`

Inheritance diagram for GSmtp::VerifierFactoryBase:
[legend]

## Classes
struct | Spec
| Verifier specification tuple for GSmtp::VerifierFactoryBase::newVerifier(). More...

## Public Member Functions
virtual std::unique_ptr< Verifier > | newVerifier (GNet::EventState, const Verifier::Config &config, const Spec &spec)=0
| Returns a Verifier on the heap. More...
virtual | ~VerifierFactoryBase ()=default
| Destructor.

## Detailed Description

A factory interface for addresss verifiers.

Definition at line 40 of file gverifierfactorybase.h.

## Member Function Documentation

## ◆ newVerifier()

virtual std::unique_ptr< Verifier > GSmtp::VerifierFactoryBase::newVerifier | ( | GNet::EventState | ,
|  | const Verifier::Config & | config,
|  | const Spec & | spec
| ) |  |
| pure virtual

Returns a Verifier on the heap.

Throws if an invalid or unsupported specification.

Implemented in GVerifiers::VerifierFactory.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gverifierfactorybase.h